﻿using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.GamerServices;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Net;
using Microsoft.Xna.Framework.Storage;

namespace NetTest
{
    class Character
    {
        Texture2D image;
        public Vector2 Position;
        public int Dir = 0;
        float frame = 0;

        public Character(ContentManager content)
        {
            // 画像の読み込み
            image = content.Load<Texture2D>("players16");
            // 初期座標
            Position = new Vector2(100, 100);
        }

        public void Update()
        {
            // 移動（下、左、右、上）
            if (Dir == 0) Position.Y++;
            if (Dir == 1) Position.X--;
            if (Dir == 2) Position.X++;
            if (Dir == 3) Position.Y--;

            // 移動制限
            Position.X = MathHelper.Clamp(Position.X, 0, 740);
            Position.Y = MathHelper.Clamp(Position.Y, 20, 510);            
        }

        public void Draw(SpriteBatch spriteBatch, GameTime gameTime)
        {
            // アニメーション
            frame += (float)gameTime.ElapsedGameTime.TotalSeconds * 4;
            if (frame > 4) frame = 0;
            // 描画
            spriteBatch.Draw(image, Position, new Rectangle(60 * (int)frame, 90 * Dir, 60, 90), Color.White);
        }

    }
}
